# Uses of Class
javax.help.FavoritesItem

Packages that use FavoritesItem
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.

## Uses of FavoritesItem in javax.help

Methods in javax.help that return FavoritesItem
Modifier and Type
Method
Description
`FavoritesItem`
FavoritesItem.`getParent()`
Returns parent of FavoritesItem.
Methods in javax.help with parameters of type FavoritesItem
Modifier and Type
Method
Description
`void`
FavoritesItem.`add(FavoritesItem item)`
Adds FavoritesItem as a child.
`void`
FavoritesItem.`remove(FavoritesItem item)`
Removes FavoritesItem from vector of children.
`void`
FavoritesItem.`setParent(FavoritesItem parent)`
Sets the parent of this item.
Constructors in javax.help with parameters of type FavoritesItem
Modifier
Constructor
Description
``
`FavoritesNode(FavoritesItem item)`
Creates a FavoritesNode for FavoritesItem.